### Navigation

- index
- modules |
- next |
- previous |
- IPython 0.10.2 documentation »
- The IPython API »

# kernel.clientconnector

## Module: `kernel.clientconnector`

Inheritance diagram for `IPython.kernel.clientconnector`:

A class for handling client connections to the controller.

## `ClientConnector`

class `IPython.kernel.clientconnector.``ClientConnector`

  Bases: `object`

  This class gets remote references from furls and returns the wrapped clients.

  This class is also used in client.py and asyncclient.py to create a single per client-process Tub.

  `__init__`()
  `get_client`()

    Get a remote reference and wrap it in a client by furl.

    This method first gets a remote reference and then calls its get_client_name method to find the apprpriate client class that should be used to wrap the remote reference.

    Parameters :

    furl_or_file : str

      A furl or a filename containing a furl

    Returns : | A deferred to the actual client class

  `get_multiengine_client`()

    Get the multiengine controller client.

    This method is a simple wrapper around get_client that allow furl_or_file to be empty, in which case, the furls is taken from the default furl file given in the configuration.

    Parameters :

    furl_or_file : str

      A furl or a filename containing a furl. If empty, the default furl_file will be used

    Returns : | A deferred to the actual client class

  `get_reference`()

    Get a remote reference using a furl or a file containing a furl.

    Remote references are cached locally so once a remote reference has been retrieved for a given furl, the cached version is returned.

    Parameters :

    furl_or_file : str

      A furl or a filename containing a furl

    Returns : | A deferred to a remote reference

  `get_task_client`()

    Get the task controller client.

    This method is a simple wrapper around get_client that allow furl_or_file to be empty, in which case, the furls is taken from the default furl file given in the configuration.

    Parameters :

    furl_or_file : str

      A furl or a filename containing a furl. If empty, the default furl_file will be used

    Returns : | A deferred to the actual client class

  `save_ref`()

    Cache a remote reference by its furl.

### Navigation

- index
- modules |
- next |
- previous |
- IPython 0.10.2 documentation »
- The IPython API »